Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2559 - GNOME applets represented by shared libraries don't start.
Summary: GNOME applets represented by shared libraries don't start.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-core
Version: 6.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-05 07:40 UTC by cher
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-06-22 16:30:28 UTC


Attachments (Terms of Use)

Description cher 1999-05-05 07:40:08 UTC
Every try to start GKB International keyboard applet fails
with the following message:
** CRITICAL **: file goad.c: line 766
(goad_server_activate_shlib): assertion `i' failed.

Comment 1 cher 1999-05-07 09:16:59 UTC
This bug isn't only related to GKB applet, but to any applet which
is represented by shared library. That is starting the fish applet
causes the same error.
As a workaround I tried to link libgkb_applet.so.0.0.0 to
libgkb_applet.so, error message changed to:error in loading shared
libraries: /usr/lib/libgkb_applet.so: undefined symbol:
applet_widget_new

Comment 2 cher 1999-06-03 08:31:59 UTC
It works if gnome-core-devel package is installed & doesn't
work without it.

Comment 3 Michael Fulbright 1999-06-07 15:03:59 UTC
These files need to be moved into gnome-core from gnome-core-devel:

/usr/lib/libfish_applet.a
/usr/lib/libfish_applet.la
/usr/lib/libfish_applet.so
/usr/lib/libgkb_applet.a
/usr/lib/libgkb_applet.la
/usr/lib/libgkb_applet.so

Comment 4 Elliot Lee 1999-07-28 22:16:59 UTC
/cvs/gnome/gnome-core/gnome-core.spec.in,v  <--  gnome-core.spec.in
new revision: 1.7.2.1; previous revision: 1.7

Fixed.
-- Elliot

Comment 5 Elliot Lee 1999-07-28 22:17:59 UTC
/cvs/gnome/gnome-core/gnome-core.spec.in,v  <--  gnome-core.spec.in
new revision: 1.7.2.1; previous revision: 1.7

Fixed.
-- Elliot


Note You need to log in before you can comment on or make changes to this bug.